Request Information
URI Parameters
None.
Body Parameters
The publication.
Publication| Name | Description | Type | Additional information |
|---|---|---|---|
| appId |
Gets or sets the application identifier. |
integer |
None. |
| modelAction |
Gets or sets the model action. |
ModelAction |
None. |
| modelId |
Gets or sets the model identifier. |
integer |
None. |
| modelName |
Gets or sets the model name. |
string |
None. |
| originConnectionId |
Gets or sets the SignalR connection identifier of the client that originated this publication, if known. |
string |
None. |
| includeOriginConnection |
Gets or sets a value indicating whether the originating SignalR connection should also receive this publication. |
boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"appId": 1,
"modelAction": "Create",
"modelId": 1,
"modelName": "sample String 2",
"originConnectionId": "sample String 3",
"includeOriginConnection": true
}
text/html
Sample:
{"appId":1,"modelAction":"Create","modelId":1,"modelName":"sample String 2","originConnectionId":"sample String 3","includeOriginConnection":true}
application/xml, text/xml
Sample:
<Publication xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <AppId>1</AppId> <ModelAction>Create</ModelAction> <ModelId>1</ModelId> <ModelName>sample String 2</ModelName> <OriginConnectionId>sample String 3</OriginConnectionId> <IncludeOriginConnection>true</IncludeOriginConnection> </Publication>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.